Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Core_Glue_DIR_LIBRARY		=	-L$(Core_Glue_DIR)/lib	\
-                                        $(Priority_DIR_LIBRARY) \
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Core_Glue_library		:
+Core_Glue_library_only 		:
+				@\
+				$(MAKE) --directory=$(Core_Glue_DIR) --makefile=Makefile;
+
+Core_Glue_library_clean_only    :
+				@\
+				$(MAKE) --directory=$(Core_Glue_DIR) --makefile=Makefile clean;
+
+Core_Glue_library		: Core_Glue_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Core_Glue_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Core_Glue_library_clean	        :
+Core_Glue_library_clean	        : Core_Glue_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;	        \
-				$(MAKE) --directory=$(Core_Glue_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Dcache_Access_DIR_LIBRARY	=	-L$(Dcache_Access_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Dcache_Access_library		:
+Dcache_Access_library_only	:
+				@\
+				$(MAKE) --directory=$(Dcache_Access_DIR) --makefile=Makefile;
+
+Dcache_Access_library_clean_only:
+				@\
+				$(MAKE) --directory=$(Dcache_Access_DIR) --makefile=Makefile clean;
+
+Dcache_Access_library		: Dcache_Access_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Dcache_Access_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Dcache_Access_library_clean	:
+Dcache_Access_library_clean	: Dcache_Access_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Dcache_Access_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Icache_Access/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Icache_Access_DIR_LIBRARY	=	-L$(Icache_Access_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Icache_Access_library		:
+Icache_Access_library_only	:
+				@\
+				$(MAKE) --directory=$(Icache_Access_DIR) --makefile=Makefile;
+
+Icache_Access_library_clean_only:
+				@\
+				$(MAKE) --directory=$(Icache_Access_DIR) --makefile=Makefile clean;
+
+Icache_Access_library		: Icache_Access_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Icache_Access_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Icache_Access_library_clean	:
+Icache_Access_library_clean	: Icache_Access_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Icache_Access_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Makefile.deps	(revision 142)
@@ -8,5 +8,5 @@
 # DIR_MORPHEO must be defined
 
-Core			= yes
+Core				= yes
 
 ifndef Behavioural
@@ -19,11 +19,11 @@
 include 			$(DIR_MORPHEO)/Behavioural/Core/Dcache_Access/Makefile.deps
 endif
-ifndef Multi_Front_end
+ifndef Front_end
 include 			$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Makefile.deps
 endif
-ifndef Multi_OOO_Engine
+ifndef OOO_Engine
 include 			$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Makefile.deps
 endif
-ifndef Multi_Execute_loop
+ifndef Execute_loop
 include 			$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Makefile.deps
 endif
@@ -47,16 +47,15 @@
 					$(Behavioural_LIBRARY)	
 
-Core_DIR_LIBRARY		=	-L$(Core_DIR)/lib               \
-					$(Icache_Access_DIR_LIBRARY)    \
-					$(Dcache_Access_DIR_LIBRARY)    \
-					$(Front_end_DIR_LIBRARY)        \
-					$(OOO_Engine_DIR_LIBRARY)       \
-					$(Execute_loop_DIR_LIBRARY)     \
-					$(Core_Glue_DIR_LIBRARY)        \
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Core_library		:
+Core_library_only		:
+				@\
+				$(MAKE) --directory=$(Core_DIR) --makefile=Makefile;
+
+Core_library_clean_only		:
+				@\
+				$(MAKE) --directory=$(Core_DIR) --makefile=Makefile clean;
+
+Core_library			: Core_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
@@ -66,8 +65,7 @@
 				$(MAKE) OOO_Engine_library;		\
 				$(MAKE) Execute_loop_library;		\
-				$(MAKE) Core_Glue_library;		\
-				$(MAKE) --directory=$(Core_DIR) --makefile=Makefile;
+				$(MAKE) Core_Glue_library;
 
-Core_library_clean	:
+Core_library_clean		: Core_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
@@ -77,4 +75,3 @@
 				$(MAKE) OOO_Engine_library_clean;	\
 				$(MAKE) Execute_loop_library_clean;	\
-				$(MAKE) Core_Glue_library_clean;	\
-				$(MAKE) --directory=$(Core_DIR) --makefile=Makefile clean;
+				$(MAKE) Core_Glue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Execute_loop_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Execute_loop_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Execute_loop_Glue/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Execute_loop_Glue_LIBRARY		= 	-lExecute_loop_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Execute_loop_Glue_DIR_LIBRARY		=	-L$(Execute_loop_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Execute_loop_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Execute_loop_Glue_DIR) --makefile=Makefile;
+Execute_loop_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(Execute_loop_Glue_DIR) --makefile=Makefile;
 
-Execute_loop_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Execute_loop_Glue_DIR) --makefile=Makefile clean;
+Execute_loop_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Execute_loop_Glue_DIR) --makefile=Makefile clean;
+
+Execute_loop_Glue_library		: Execute_loop_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Execute_loop_Glue_library_clean		: Execute_loop_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Makefile.deps	(revision 142)
@@ -55,20 +55,15 @@
 					$(Execution_unit_to_Write_unit_LIBRARY)	
 
-
-Execute_loop_DIR_LIBRARY	=	-L$(Execute_loop_DIR)/lib			\
-					$(Behavioural_DIR_LIBRARY)			\
-					$(Execute_loop_Glue_DIR_LIBRARY)		\
-					$(Read_unit_DIR_LIBRARY)			\
-					$(Functionnal_unit_DIR_LIBRARY)			\
-					$(Load_store_unit_DIR_LIBRARY)			\
-					$(Write_unit_DIR_LIBRARY)			\
-					$(Register_unit_DIR_LIBRARY)			\
-					$(Read_unit_to_Execution_unit_DIR_LIBRARY)	\
-					$(Execution_unit_to_Write_unit_DIR_LIBRARY)	
-
-
 #-----[ Rules ]--------------------------------------------
 
-Execute_loop_library		:
+Execute_loop_library_only	:
+				@\
+				$(MAKE) --directory=$(Execute_loop_DIR) --makefile=Makefile;
+
+Execute_loop_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Execute_loop_DIR) --makefile=Makefile clean;
+
+Execute_loop_library		: Execute_loop_library_only
 				@\
 				$(MAKE) Behavioural_library;			\
@@ -80,8 +75,7 @@
 				$(MAKE) Register_unit_library;			\
 				$(MAKE) Read_unit_to_Execution_unit_library;	\
-				$(MAKE) Execution_unit_to_Write_unit_library;	\
-				$(MAKE) --directory=$(Execute_loop_DIR) --makefile=Makefile;
+				$(MAKE) Execution_unit_to_Write_unit_library;
 
-Execute_loop_library_clean	:
+Execute_loop_library_clean	: Execute_loop_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;			\
@@ -93,4 +87,3 @@
 				$(MAKE) Register_unit_library_clean;			\
 				$(MAKE) Read_unit_to_Execution_unit_library_clean;	\
-				$(MAKE) Execution_unit_to_Write_unit_library_clean;	\
-				$(MAKE) --directory=$(Execute_loop_DIR) --makefile=Makefile clean;
+				$(MAKE) Execution_unit_to_Write_unit_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Makefile.deps	(revision 142)
@@ -11,43 +11,38 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 ifndef Custom
-include 			$(DIR_MORPHEO)/Behavioural/Custom/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Custom/Makefile.deps
 endif
 ifndef Shifter
-include 			$(DIR_MORPHEO)/Behavioural/Generic/Shifter/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Generic/Shifter/Makefile.deps
 endif
 
 #-----[ Library ]------------------------------------------
-Functionnal_unit_LIBRARY	= 	-lFunctionnal_unit	\
-					$(Custom_LIBRARY)	\
-					-lFunctionnal_unit	\
-					$(Behavioural_LIBRARY)	\
-					-lFunctionnal_unit	\
-					$(Shifter_LIBRARY)	
-
-Functionnal_unit_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/lib	\
-					$(Custom_DIR_LIBRARY)	   \
-					$(Behavioural_DIR_LIBRARY) \
-					$(Shifter_DIR_LIBRARY)
-
-Functionnal_unit_DEPENDENCIES	=	Custom_library          \
-					Behavioural_library     \
-                                        Shifter_library
-
-Functionnal_unit_CLEAN        	=	Custom_library_clean      \
-					Behavioural_library_clean \
-                                        Shifter_library_clean
+Functionnal_unit_LIBRARY		= 	-lFunctionnal_unit	\
+						$(Custom_LIBRARY)	\
+						$(Behavioural_LIBRARY)	\
+						$(Shifter_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-#.NOTPARALLEL			: Functionnal_unit_library Functionnal_unit_library_clean
+Functionnal_unit_library_only		:
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit --makefile=Makefile;
 
-Functionnal_unit_library	: $(Functionnal_unit_DEPENDENCIES)
-				@\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit --makefile=Makefile;
+Functionnal_unit_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit --makefile=Makefile clean;
 
-Functionnal_unit_library_clean	: $(Functionnal_unit_CLEAN)
-				@\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit --makefile=Makefile clean;
+Functionnal_unit_library		: Functionnal_unit_library_only
+					@\
+					$(MAKE) Custom_library;		\
+					$(MAKE) Behavioural_library;	\
+					$(MAKE) Shifter_library;
+
+Functionnal_unit_library_clean		: Functionnal_unit_library_clean_only
+					@\
+					$(MAKE) Custom_library_clean;		\
+					$(MAKE) Behavioural_library_clean;	\
+					$(MAKE) Shifter_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/Makefile.deps	(revision 142)
@@ -8,23 +8,34 @@
 # DIR_MORPHEO must be defined
 
-Operation		= yes
+Operation			= yes
+
+ifndef Behavioural
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+endif
 
 #-----[ Directory ]----------------------------------------
 
-Operation_DIR           =       $(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation
+Operation_DIR           	=       $(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation
 
 #-----[ Library ]------------------------------------------
 
-Operation_LIBRARY	= 	-lOperation
-
-Operation_DIR_LIBRARY	=	-L$(Operation_DIR)/lib
+Operation_LIBRARY		= 	-lOperation             \
+					$(Behavioural_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Operation_library	:
-			@\
-			$(MAKE) --directory=$(Operation_DIR) --makefile=Makefile;
+Operation_library_only		:
+				@\
+				$(MAKE) --directory=$(Operation_DIR) --makefile=Makefile;
 
-Operation_library_clean	:
-			@\
-			$(MAKE) --directory=$(Operation_DIR) --makefile=Makefile clean;
+Operation_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Operation_DIR) --makefile=Makefile clean;
+
+Operation_library		: Operation_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Operation_library_clean		: Operation_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/Makefile.deps	(revision 142)
@@ -8,33 +8,35 @@
 # DIR_MORPHEO must be defined
 
-Load_store_unit			= yes
+Load_store_unit				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 ifndef Queue_Control
-include 			$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
 endif
 
 #-----[ Library ]------------------------------------------
-Load_store_unit_LIBRARY		= 	-lLoad_store_unit	\
-					$(Queue_Control_LIBRARY)\
-					$(Behavioural_LIBRARY)	
-
-Load_store_unit_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/lib	\
-					$(Queue_Control_DIR_LIBRARY)\
-					$(Behavioural_DIR_LIBRARY)
+Load_store_unit_LIBRARY			= 	-lLoad_store_unit	\
+						$(Queue_Control_LIBRARY)\
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Load_store_unit_library		: 
-				@\
-				$(MAKE) Queue_Control_library; \
-				$(MAKE) Behavioural_library; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit --makefile=Makefile;
+Load_store_unit_library_only		: 
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit --makefile=Makefile;
 	
-Load_store_unit_library_clean	: 
-				@\
-				$(MAKE) Queue_Control_library_clean; \
-				$(MAKE) Behavioural_library_clean; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit --makefile=Makefile clean;
+Load_store_unit_library_clean_only	: 
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit --makefile=Makefile clean;
+
+Load_store_unit_library			: Load_store_unit_library_only
+					@\
+					$(MAKE) Queue_Control_library; \
+					$(MAKE) Behavioural_library;
+
+Load_store_unit_library_clean		: Load_store_unit_library_clean_only
+					@\
+					$(MAKE) Queue_Control_library_clean; \
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Makefile.deps	(revision 142)
@@ -25,4 +25,5 @@
 
 #-----[ Library ]------------------------------------------
+
 Read_unit_LIBRARY		= 	-lRead_unit			\
 					$(Behavioural_LIBRARY)		\
@@ -30,27 +31,23 @@
 					$(Reservation_station_LIBRARY)
 
-Read_unit_DIR_LIBRARY		=	-L$(Read_unit_DIR)/lib		\
-					$(Behavioural_DIR_LIBRARY)	\
-					$(Read_queue_DIR_LIBRARY)	\
-					$(Reservation_station_DIR_LIBRARY)
-
-Read_unit_DEPENDENCIES		=	Behavioural_library		\
-					Read_queue_library		\
-					Reservation_station_library
-
-Read_unit_CLEAN	        	=	Behavioural_library_clean	\
-					Read_queue_library_clean	\
-					Reservation_station_library_clean
-
 #-----[ Rules ]--------------------------------------------
 
-.NOTPARALLEL			: Read_unit_library
-.NOTPARALLEL			: Read_unit_library_clean
-
-Read_unit_library		: $(Read_unit_DEPENDENCIES)
+Read_unit_library_only		:
 				@\
 				$(MAKE) --directory=$(Read_unit_DIR) --makefile=Makefile;
 
-Read_unit_library_clean		: $(Read_unit_CLEAN)
+Read_unit_library_clean_only	:
 				@\
 				$(MAKE) --directory=$(Read_unit_DIR) --makefile=Makefile clean;
+
+Read_unit_library		: Read_unit_library_only
+				@\
+				$(MAKE) Behavioural_library;		\
+				$(MAKE) Read_queue_library;		\
+				$(MAKE) Reservation_station_library;
+
+Read_unit_library_clean		: Read_unit_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;		\
+				$(MAKE) Read_queue_library_clean;		\
+				$(MAKE) Reservation_station_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/Makefile.deps	(revision 142)
@@ -18,27 +18,26 @@
 
 #-----[ Library ]------------------------------------------
+
 Read_queue_LIBRARY		= 	-lRead_queue		\
 					$(Queue_LIBRARY)	\
 					$(Behavioural_LIBRARY)	
 
-Read_queue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/lib	\
-					$(Queue_DIR_LIBRARY) \
-					$(Behavioural_DIR_LIBRARY)
-
-Read_queue_DEPENDENCIES		=	Queue_library	\
-					Behavioural_library
-
-Read_queue_CLEAN        	=	Queue_library_clean	\
-					Behavioural_library_clean
-
 #-----[ Rules ]--------------------------------------------
 
-#.NOTPARALLEL			: Read_queue_library Read_queue_library_clean
-
-Read_queue_library		: $(Read_queue_DEPENDENCIES)
+Read_queue_library_only		:
 				@\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue --makefile=Makefile;
 
-Read_queue_library_clean	: $(Read_queue_CLEAN)
+Read_queue_library_clean_only	:
 				@\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue --makefile=Makefile clean;
+
+Read_queue_library		: Read_queue_library_only
+				@\
+				$(MAKE) Queue_library;		\
+				$(MAKE) Behavioural_library;
+
+Read_queue_library_clean	: Read_queue_library_clean_only
+				@\
+				$(MAKE) Queue_library_clean;		\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/Makefile.deps	(revision 142)
@@ -2,5 +2,5 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
@@ -8,33 +8,36 @@
 # DIR_MORPHEO must be defined
 
-Reservation_station		= yes
+Reservation_station			= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 ifndef Queue_Control
-include 			$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
 endif
 
-#-----[ Library ]------------------------------------------
-Reservation_station_LIBRARY	= 	-lReservation_station	\
-					$(Queue_Control_LIBRARY)\
-					$(Behavioural_LIBRARY)	
+#-----[ Library ]------------------------------------------
 
-Reservation_station_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/lib	\
-					$(Queue_Control_DIR_LIBRARY)\
-					$(Behavioural_DIR_LIBRARY)
+Reservation_station_LIBRARY		= 	-lReservation_station	\
+						$(Queue_Control_LIBRARY)\
+						$(Behavioural_LIBRARY)	
 
-#-----[ Rules ]--------------------------------------------
+#-----[ Rules ]--------------------------------------------
 
-Reservation_station_library		: 
-				@\
-				$(MAKE) Queue_Control_library; \
-				$(MAKE) Behavioural_library; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station --makefile=Makefile;
+Reservation_station_library_only	: 
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station --makefile=Makefile;
 	
-Reservation_station_library_clean	: 
-				@\
-				$(MAKE) Queue_Control_library_clean; \
-				$(MAKE) Behavioural_library_clean; \
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station --makefile=Makefile clean;
+Reservation_station_library_clean_only	: 
+					@\
+					$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station --makefile=Makefile clean;
+
+Reservation_station_library		: Reservation_station_library_only
+					@\
+					$(MAKE) Queue_Control_library; \
+					$(MAKE) Behavioural_library;
+	
+Reservation_station_library_clean	: Reservation_station_library_clean_only
+					@\
+					$(MAKE) Queue_Control_library_clean; \
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/Makefile.deps	(revision 142)
@@ -22,23 +22,26 @@
 
 #-----[ Library ]------------------------------------------
+
 Execute_queue_LIBRARY		= 	-lExecute_queue	\
 					$(Queue_LIBRARY)	\
 					$(Behavioural_LIBRARY)	
 
-Execute_queue_DIR_LIBRARY	=	-L$(Execute_queue_DIR)/lib	\
-					$(Queue_DIR_LIBRARY) \
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Execute_queue_library		:
+Execute_queue_library_only	:
+				@\
+				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile;
+
+Execute_queue_library_clean_only:
+				@\
+				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile clean;
+
+Execute_queue_library		: Execute_queue_library_only
 				@\
 				$(MAKE) Behavioural_library; \
-				$(MAKE) Queue_library; \
-				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile;
+				$(MAKE) Queue_library;
 
-Execute_queue_library_clean	:
+Execute_queue_library_clean	: Execute_queue_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean; \
-				$(MAKE) Queue_library_clean; \
-				$(MAKE) --directory=$(Execute_queue_DIR) --makefile=Makefile clean;
+				$(MAKE) Queue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Makefile.deps	(revision 142)
@@ -25,4 +25,5 @@
 
 #-----[ Library ]------------------------------------------
+
 Write_unit_LIBRARY		= 	-lWrite_unit		\
 					$(Behavioural_LIBRARY)	\
@@ -30,22 +31,23 @@
 					$(Execute_queue_LIBRARY)
 
-Write_unit_DIR_LIBRARY		=	-L$(Write_unit_DIR)/lib		\
-					$(Behavioural_DIR_LIBRARY)	\
-					$(Write_queue_DIR_LIBRARY)	\
-					$(Execute_queue_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Write_unit_library		:
+Write_unit_library_only		:
+				@\
+				$(MAKE) --directory=$(Write_unit_DIR) --makefile=Makefile;
+
+Write_unit_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Write_unit_DIR) --makefile=Makefile clean;
+
+Write_unit_library		: Write_unit_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
 				$(MAKE) Write_queue_library;		\
-				$(MAKE) Execute_queue_library;		\
-				$(MAKE) --directory=$(Write_unit_DIR) --makefile=Makefile;
+				$(MAKE) Execute_queue_library;
 
-Write_unit_library_clean	:
+Write_unit_library_clean	: Write_unit_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) Write_queue_library_clean;	\
-				$(MAKE) Execute_queue_library_clean;	\
-				$(MAKE) --directory=$(Write_unit_DIR) --makefile=Makefile clean;
+				$(MAKE) Execute_queue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Write_queue_DIR_LIBRARY		=	-L$(Write_queue_DIR)/lib	\
-					$(Queue_DIR_LIBRARY)            \
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Write_queue_library		:
+Write_queue_library_only	:
+				@\
+				$(MAKE) --directory=$(Write_queue_DIR) --makefile=Makefile;
+
+Write_queue_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Write_queue_DIR) --makefile=Makefile clean;
+
+Write_queue_library		: Write_queue_library_only
 				@\
 				$(MAKE) Queue_library;	\
-				$(MAKE) Behavioural_library;	\
-				$(MAKE) --directory=$(Write_queue_DIR) --makefile=Makefile;
+				$(MAKE) Behavioural_library;
 
-Write_queue_library_clean	:
+Write_queue_library_clean	: Write_queue_library_clean_only
 				@\
 				$(MAKE) Queue_library_clean;	\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Write_queue_DIR) --makefile=Makefile clean;
+				$(MAKE) Behavioural_library_clean;
